## LassoIdWsf2DiscoSecurityContext LassoIdWsf2DiscoSecurityContext — <disco:SecurityContext> |

## Functions

LassoIdWsf2DiscoSecurityContext * | lasso_idwsf2_disco_security_context_new ()

## Types and Values

struct | LassoIdWsf2DiscoSecurityContext

## Description

Figure 149. Schema fragment for disco:SecurityContext

    <xs:element name="SecurityContext">
      <xs:complexType>
        <xs:sequence>
          <xs:element ref="SecurityMechID"
            minOccurs="1"
            maxOccurs="unbounded"/>

            <xs:element ref="sec:Token"
              minOccurs="0"
              maxOccurs="unbounded"/>
            </xs:sequence>
          </xs:complexType>
        </xs:element>

## Functions

### lasso_idwsf2_disco_security_context_new ()

    LassoIdWsf2DiscoSecurityContext *
    lasso_idwsf2_disco_security_context_new
                                   (void);

Creates a new LassoIdWsf2DiscoSecurityContext object.

#### Returns

a newly created LassoIdWsf2DiscoSecurityContext object

## Types and Values

### struct LassoIdWsf2DiscoSecurityContext

    struct LassoIdWsf2DiscoSecurityContext {
    	LassoNode parent;

    	/* elements */
    	GList *SecurityMechID; /* of strings */
    	GList *Token; /* of LassoNode */
    };